summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAisha Tammy <gentoo@aisha.cc>2021-01-18 19:41:36 -0500
committerSam James <sam@gentoo.org>2021-01-22 03:56:27 +0000
commit4a0369ca173de8f19ab86800082f50ad62604286 (patch)
treebbcc259f652468327b5700a5bc1342f8dba800f7 /media-fonts
parentmedia-libs/libdvbpsi: cleanup old (diff)
downloadgentoo-4a0369ca173de8f19ab86800082f50ad62604286.tar.gz
gentoo-4a0369ca173de8f19ab86800082f50ad62604286.tar.bz2
gentoo-4a0369ca173de8f19ab86800082f50ad62604286.zip
media-fonts/fontawesome: version bump to 5.15.2
Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Aisha Tammy <gentoo@aisha.cc> Closes: https://github.com/gentoo/gentoo/pull/19118 Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'media-fonts')
-rw-r--r--media-fonts/fontawesome/Manifest1
-rw-r--r--media-fonts/fontawesome/fontawesome-5.15.2.ebuild33
2 files changed, 34 insertions, 0 deletions
diff --git a/media-fonts/fontawesome/Manifest b/media-fonts/fontawesome/Manifest
index 122684340b3..a9932ee7db2 100644
--- a/media-fonts/fontawesome/Manifest
+++ b/media-fonts/fontawesome/Manifest
@@ -1,2 +1,3 @@
DIST fontawesome-5.14.0.tar.gz 11130737 BLAKE2B 0ae60cb0564ed89705d972f41084f2a3d28b630da82f055455686db5fad18709b440bf642743327369c2cc8d52b2a874a24f4a38b06d680768fa386246fb62a7 SHA512 a46679ae7758a94a4e52e0d24486aa2968d4ffa5fe0a583150847eeedc5703ad9cb47a0c71d074595ef7f44b91dae2b00abbe1c3e648447bfb5366daab99f6e3
DIST fontawesome-5.15.1.tar.gz 11277799 BLAKE2B a1f59fe6b6f3ae93bc1a818956ae0034ba7bbb9f3ce800e5296903fa5f19426496dc21245691ac83bcb0eca5ed5aae33c0942eccb1ce8c05143a9e8509c89aae SHA512 0dfef0ae11d032bf52ecdc5ea94ad258805e61b7b4e2aedcf7b0b4d2f0977466339af54310b796eefe3115ef2cb10d1537080d2d68746379ff83cfcbea5c377f
+DIST fontawesome-5.15.2.tar.gz 11274421 BLAKE2B 14a0cb2d8f444a26d0552f14fbdd9a51c8bc7903e19cc33271618af87db744539cd7954baba4e8870aff98b3ed311aba37c3d8bbe6903065292a92561363067d SHA512 c1577b90053285a77ecf1225c1bd534fb0d3b89a4b90e4abcd37bd36ad1b35967a4746fe164ff7129c8a90f1294fab947dd2ff203a5b826ac89d5f6b48a77a80
diff --git a/media-fonts/fontawesome/fontawesome-5.15.2.ebuild b/media-fonts/fontawesome/fontawesome-5.15.2.ebuild
new file mode 100644
index 00000000000..8301f85e2ab
--- /dev/null
+++ b/media-fonts/fontawesome/fontawesome-5.15.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="Font-Awesome"
+inherit font
+
+DESCRIPTION="The iconic font"
+HOMEPAGE="https://fontawesome.com"
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/FortAwesome/${MY_PN}.git"
+else
+ SRC_URI="https://github.com/FortAwesome/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+ S="${WORKDIR}/${MY_PN}-${PV}"
+fi
+
+LICENSE="CC-BY-4.0 OFL-1.1"
+SLOT="0/5"
+IUSE="+otf ttf"
+
+REQUIRED_USE="|| ( otf ttf )"
+
+src_install() {
+ if use otf; then
+ FONT_S="${S}/otfs" FONT_SUFFIX="otf" font_src_install
+ fi
+ if use ttf; then
+ FONT_S="${S}/webfonts" FONT_SUFFIX="ttf" font_src_install
+ fi
+}